Method for submitting an application for registration of the SMS Sender’s name (Alpha-name) with a mobile operator by a subject legal entity.
Please note that Sender registration is not available in Demo and Test account modes.
To submit SMS Sender registration by a legal entity:
| POST http://one-api.bsg.world/api/senders/requests/legal |
| Parameter | Required | Type | Default | Description |
|---|---|---|---|---|
| country_code | Yes | string | No |
The country where it is necessary to register the Sender name.
Must be specified according to the ISO 3166-1 Alpha-2 standard. |
| sender | Yes | string | No |
Sender name.
Up to 11 Latin letters or digits, up to 15 – only digits. |
| type | Yes | string | No |
Service for which the Sender is registered.
Available values: sms |
| code_of_company | Yes | string | No | Company code. Numeric value between 1 and 30 characters. |
| description | Yes | string | No |
Service description.
From 1 to 1 000 characters. |
| informing_purpose | Yes | string | No |
Purpose of informing.
From 1 to 1 000 characters. |
| site_url | No | string | No |
Website URL.
Up to 150 characters. |
| comment | No | string | No |
Comment.
Up to 1 000 characters. |
| legal_name | Yes | string | No |
Legal name.
From 3 to 100 characters. |
| address | Yes | string | No |
Legal address.
From 3 to 200 characters. |
| tax_number | Yes | string | No |
Taxpayer number.
From 1 to 20 characters. |
{
"country_code": "UA",
"type": "sms",
"sender": "sender",
"code_of_company": "string",
"tax_number": "string",
"description": "desc",
"informing_purpose": "inf",
"site_url": "https://dev-app.bsg.world/",
"comment": "comm",
"legal_name": "juridical_name",
"address": "juridical_address"
}
| Parameter | Type | Description |
|---|---|---|
| id | string | Number of the application for Sender registration |
| sender | string | Sender name |
| name | string | Last name, first name, and middle name |
| address | string | Legal address |
| status | string |
Status of the application for Sender registration. Possible values:
|
| type | string | Sender type: sms |
| created_at | string |
Date of creating the application for Sender registration.
Format: yyyy-mm-dd hh:mm:ss |
| country_code | string | Sender country – country code according to ISO 3166-1 Alpha-2 standard |
| code_of_company | string | Company code |
| tax_number | string | Taxpayer number |
| site_url | string | Website URL |
| informing_purpose | string | Purpose of informing |
| comment | string | Comment |
| description | string | Service description |
if the request is successful, you will receive a response:
{
"data": {
"id": 3152,
"sender": "sender",
"legal_name": "juridical_name",
"address": "juridical_address",
"status": "new",
"type": "sms",
"created_at": "2021-04-27 19:44:06",
"country_code": "UA",
"code_of_company": "string",
"tax_number": "string",
"site_url": "https://dev-app.bsg.world",
"informing_purpose": "informing_purpose",
"comment": "comment",
"description": "description"
}
}